
%global meadversion 3.9.3
%global namedversion 3.9.3.SP1-redhat-00001
%global meadalpha .SP1_redhat_00001
%global meadrel .1
%global serial 2
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package resteasy}
%{!?scl:%global pkg_name %{name}}

%define maven_version 3.9.3.SP1-redhat-00001

Name:           %{?scl_prefix}resteasy
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        RESTEasy JAX-RS implementation
Group:          Development/Java

%if %with mead
Source100: resteasy-jaxrs-all-3.9.3.SP1-redhat-00001-project-sources.tar.gz
Source102: login-module-authenticator-3.9.3.SP1-redhat-00001.jar
Source103: resteasy-netty4-cdi-3.9.3.SP1-redhat-00001.jar
Source104: jose-jwt-3.9.3.SP1-redhat-00001-sources.jar
Source105: security-pom-3.9.3.SP1-redhat-00001.pom
Source106: resteasy-wadl-3.9.3.SP1-redhat-00001.jar
Source107: resteasy-client-microprofile-3.9.3.SP1-redhat-00001.jar
Source108: resteasy-multipart-provider-3.9.3.SP1-redhat-00001.jar
Source109: resteasy-atom-provider-3.9.3.SP1-redhat-00001.pom
Source110: resteasy-client-jetty-3.9.3.SP1-redhat-00001.jar
Source111: resteasy-netty-3.9.3.SP1-redhat-00001.jar
Source112: resteasy-jboss-modules-3.9.3.SP1-redhat-00001.zip
Source113: resteasy-oauth-3.9.3.SP1-redhat-00001.jar
Source114: resteasy-html-3.9.3.SP1-redhat-00001.jar
Source115: skeleton-key-core-3.9.3.SP1-redhat-00001.pom
Source116: skeleton-key-as7-3.9.3.SP1-redhat-00001.jar
Source117: resteasy-netty4-3.9.3.SP1-redhat-00001.jar
Source118: resteasy-bom-3.9.3.SP1-redhat-00001.pom
Source119: eagledns-fork-3.9.3.SP1-redhat-00001-sources.jar
Source120: resteasy-guice-3.9.3.SP1-redhat-00001-sources.jar
Source121: resteasy-html-3.9.3.SP1-redhat-00001-sources.jar
Source122: resteasy-wadl-3.9.3.SP1-redhat-00001-sources.jar
Source123: resteasy-wadl-3.9.3.SP1-redhat-00001.pom
Source124: resteasy-keystone-as7-3.9.3.SP1-redhat-00001.jar
Source125: login-module-authenticator-3.9.3.SP1-redhat-00001-sources.jar
Source126: resteasy-vertx-3.9.3.SP1-redhat-00001.jar
Source127: eagledns-fork-3.9.3.SP1-redhat-00001.jar
Source128: resteasy-keystone-as7-3.9.3.SP1-redhat-00001.pom
Source129: resteasy-jsapi-3.9.3.SP1-redhat-00001.pom
Source130: resteasy-links-3.9.3.SP1-redhat-00001.pom
Source131: resteasy-keystone-as7-modules-3.9.3.SP1-redhat-00001.pom
Source132: resteasy-multipart-provider-3.9.3.SP1-redhat-00001-sources.jar
Source133: skeleton-key-idp-3.9.3.SP1-redhat-00001.jar
Source134: resteasy-jaxb-provider-3.9.3.SP1-redhat-00001-sources.jar
Source135: resteasy-keystone-core-3.9.3.SP1-redhat-00001.pom
Source136: resteasy-skeleton-key-pom-3.9.3.SP1-redhat-00001.pom
Source137: resteasy-client-3.9.3.SP1-redhat-00001-sources.jar
Source138: resteasy-jackson-provider-3.9.3.SP1-redhat-00001.jar
Source139: resteasy-jackson2-provider-3.9.3.SP1-redhat-00001.pom
Source140: resteasy-servlet-initializer-3.9.3.SP1-redhat-00001.pom
Source141: resteasy-multipart-provider-3.9.3.SP1-redhat-00001.pom
Source142: resteasy-jaxrs-3.9.3.SP1-redhat-00001.jar
Source143: resteasy-jsapi-3.9.3.SP1-redhat-00001-sources.jar
Source144: resteasy-client-microprofile-3.9.3.SP1-redhat-00001.pom
Source145: resteasy-json-binding-provider-3.9.3.SP1-redhat-00001-sources.jar
Source146: resteasy-atom-provider-3.9.3.SP1-redhat-00001.jar
Source147: jose-jwt-3.9.3.SP1-redhat-00001.jar
Source148: resteasy-spring-3.9.3.SP1-redhat-00001-sources.jar
Source149: resteasy-client-microprofile-3.9.3.SP1-redhat-00001-sources.jar
Source150: resteasy-rxjava2-3.9.3.SP1-redhat-00001.jar
Source151: resteasy-json-p-provider-3.9.3.SP1-redhat-00001.pom
Source152: resteasy-spring-3.9.3.SP1-redhat-00001.pom
Source153: resteasy-jackson2-provider-3.9.3.SP1-redhat-00001-sources.jar
Source154: resteasy-crypto-3.9.3.SP1-redhat-00001.jar
Source155: resteasy-yaml-provider-3.9.3.SP1-redhat-00001.pom
Source156: resteasy-rxjava-3.9.3.SP1-redhat-00001.jar
Source157: resteasy-fastinfoset-provider-3.9.3.SP1-redhat-00001-sources.jar
Source158: resteasy-jdk-http-3.9.3.SP1-redhat-00001-sources.jar
Source159: resteasy-jdk-http-3.9.3.SP1-redhat-00001.pom
Source160: RESTEASY-1056-jetty-bv11-3.9.3.SP1-redhat-00001-sources.jar
Source161: resteasy-netty4-cdi-3.9.3.SP1-redhat-00001-sources.jar
Source162: resteasy-crypto-3.9.3.SP1-redhat-00001-sources.jar
Source163: resteasy-http-adapter-pom-3.9.3.SP1-redhat-00001.pom
Source164: skeleton-key-core-3.9.3.SP1-redhat-00001.jar
Source165: resteasy-crypto-3.9.3.SP1-redhat-00001.pom
Source166: jose-jwt-3.9.3.SP1-redhat-00001.pom
Source167: resteasy-wadl-undertow-connector-3.9.3.SP1-redhat-00001-sources.jar
Source168: skeleton-key-core-3.9.3.SP1-redhat-00001-sources.jar
Source169: resteasy-cdi-3.9.3.SP1-redhat-00001-sources.jar
Source170: resteasy-validator-provider-3.9.3.SP1-redhat-00001.pom
Source171: resteasy-validator-provider-3.9.3.SP1-redhat-00001-sources.jar
Source172: resteasy-json-binding-provider-3.9.3.SP1-redhat-00001.pom
Source173: resteasy-wadl-undertow-connector-3.9.3.SP1-redhat-00001.pom
Source174: resteasy-oauth-3.9.3.SP1-redhat-00001.pom
Source175: resteasy-undertow-3.9.3.SP1-redhat-00001.pom
Source176: resteasy-client-jetty-3.9.3.SP1-redhat-00001-sources.jar
Source177: resteasy-jettison-provider-3.9.3.SP1-redhat-00001.pom
Source178: resteasy-keystone-core-3.9.3.SP1-redhat-00001-sources.jar
Source179: skeleton-key-idp-3.9.3.SP1-redhat-00001-sources.jar
Source180: resteasy-jettison-provider-3.9.3.SP1-redhat-00001-sources.jar
Source181: tjws-3.9.3.SP1-redhat-00001-sources.jar
Source182: resteasy-cache-core-3.9.3.SP1-redhat-00001.pom
Source183: resteasy-jdk-http-3.9.3.SP1-redhat-00001.jar
Source184: resteasy-cdi-3.9.3.SP1-redhat-00001.jar
Source185: resteasy-fastinfoset-provider-3.9.3.SP1-redhat-00001.pom
Source186: resteasy-cache-core-3.9.3.SP1-redhat-00001.jar
Source187: resteasy-netty4-3.9.3.SP1-redhat-00001-sources.jar
Source188: resteasy-rxjava2-3.9.3.SP1-redhat-00001-sources.jar
Source189: resteasy-vertx-3.9.3.SP1-redhat-00001.pom
Source190: resteasy-undertow-3.9.3.SP1-redhat-00001.jar
Source191: resteasy-netty4-3.9.3.SP1-redhat-00001.pom
Source192: resteasy-html-3.9.3.SP1-redhat-00001.pom
Source193: resteasy-spring-3.9.3.SP1-redhat-00001.jar
Source194: resteasy-yaml-provider-3.9.3.SP1-redhat-00001-sources.jar
Source195: resteasy-cdi-3.9.3.SP1-redhat-00001.pom
Source196: resteasy-validator-provider-3.9.3.SP1-redhat-00001.jar
Source197: resteasy-links-3.9.3.SP1-redhat-00001.jar
Source198: resteasy-json-p-provider-3.9.3.SP1-redhat-00001-sources.jar
Source199: resteasy-jboss-modules-3.9.3.SP1-redhat-00001-mavenized.zip
Source200: resteasy-jaxrs-all-3.9.3.SP1-redhat-00001.pom
Source201: resteasy-jackson2-provider-3.9.3.SP1-redhat-00001.jar
Source202: resteasy-jaxb-provider-3.9.3.SP1-redhat-00001.pom
Source203: resteasy-cache-core-3.9.3.SP1-redhat-00001-sources.jar
Source204: resteasy-dependencies-3.9.3.SP1-redhat-00001.pom
Source205: resteasy-servlet-initializer-3.9.3.SP1-redhat-00001.jar
Source206: resteasy-vertx-3.9.3.SP1-redhat-00001-sources.jar
Source207: resteasy-yaml-provider-3.9.3.SP1-redhat-00001.jar
Source208: resteasy-guice-3.9.3.SP1-redhat-00001.pom
Source209: resteasy-rxjava-3.9.3.SP1-redhat-00001.pom
Source210: resteasy-keystone-as7-3.9.3.SP1-redhat-00001-sources.jar
Source211: resteasy-client-jetty-3.9.3.SP1-redhat-00001.pom
Source212: skeleton-key-as7-3.9.3.SP1-redhat-00001.pom
Source213: resteasy-json-p-provider-3.9.3.SP1-redhat-00001.jar
Source214: resteasy-rxjava2-3.9.3.SP1-redhat-00001.pom
Source215: eagledns-fork-3.9.3.SP1-redhat-00001.pom
Source216: skeleton-key-as7-3.9.3.SP1-redhat-00001-sources.jar
Source217: resteasy-jackson-provider-3.9.3.SP1-redhat-00001.pom
Source218: resteasy-jackson-provider-3.9.3.SP1-redhat-00001-sources.jar
Source219: resteasy-client-3.9.3.SP1-redhat-00001.pom
Source220: resteasy-json-binding-provider-3.9.3.SP1-redhat-00001.jar
Source221: skeleton-key-idp-3.9.3.SP1-redhat-00001.pom
Source222: RESTEASY-1056-jetty-bv11-3.9.3.SP1-redhat-00001.pom
Source223: security-legacy-pom-3.9.3.SP1-redhat-00001.pom
Source224: resteasy-jaxrs-3.9.3.SP1-redhat-00001-sources.jar
Source225: resteasy-netty4-cdi-3.9.3.SP1-redhat-00001.pom
Source226: resteasy-links-3.9.3.SP1-redhat-00001-sources.jar
Source227: providers-pom-3.9.3.SP1-redhat-00001.pom
Source228: resteasy-jaxrs-3.9.3.SP1-redhat-00001.pom
Source229: resteasy-jettison-provider-3.9.3.SP1-redhat-00001.jar
Source230: resteasy-cache-pom-3.9.3.SP1-redhat-00001.pom
Source231: resteasy-rxjava-3.9.3.SP1-redhat-00001-sources.jar
Source232: resteasy-servlet-initializer-3.9.3.SP1-redhat-00001-sources.jar
Source233: tjws-3.9.3.SP1-redhat-00001.jar
Source234: resteasy-guice-3.9.3.SP1-redhat-00001.jar
Source235: resteasy-keystone-core-3.9.3.SP1-redhat-00001.jar
Source236: resteasy-jsapi-3.9.3.SP1-redhat-00001.jar
Source237: resteasy-netty-3.9.3.SP1-redhat-00001.pom
Source238: tjws-3.9.3.SP1-redhat-00001.pom
Source239: resteasy-oauth-3.9.3.SP1-redhat-00001-sources.jar
Source240: resteasy-wadl-undertow-connector-3.9.3.SP1-redhat-00001.jar
Source241: resteasy-atom-provider-3.9.3.SP1-redhat-00001-sources.jar
Source242: RESTEASY-1056-jetty-bv11-3.9.3.SP1-redhat-00001.jar
Source243: resteasy-fastinfoset-provider-3.9.3.SP1-redhat-00001.jar
Source244: resteasy-client-3.9.3.SP1-redhat-00001.jar
Source245: resteasy-jboss-modules-3.9.3.SP1-redhat-00001.pom
Source246: resteasy-undertow-3.9.3.SP1-redhat-00001-sources.jar
Source247: login-module-authenticator-3.9.3.SP1-redhat-00001.pom
Source248: resteasy-jaxb-provider-3.9.3.SP1-redhat-00001.jar
Source249: resteasy-netty-3.9.3.SP1-redhat-00001-sources.jar
%endif

License:        ASL 2.0
URL:            http://rest-easy.org
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
RESTEasy is a client and server-side framework that helps you write and
integrate with RESTful web services.It is a fully certified and portable
implementation of the JAX-RS specification. JAX-RS is a new JCP specification
that provides a Java API for RESTful Web Services over the HTTP protocol.

%package atom-provider
Summary:        Resteasy Atom Provider
Group:          Development/Java

Requires:       %{?scl_prefix}resteasy-jaxrs = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}resteasy-jaxb-provider = %{epoch}:%{version}-%{release}

%description atom-provider
%{summary}.

%package cdi
Summary:        RESTEasy CDI integration module
Group:          Development/Java

Requires:       %{?scl_prefix}resteasy-jaxrs = %{epoch}:%{version}-%{release}

%description cdi
%{summary}.

%package client
Summary:        RESTEasy JAX-RS Client
Group:          Development/Java

Requires:       %{?scl_prefix}resteasy-jaxrs = %{epoch}:%{version}-%{release}

%description client
%{summary}.

%package client-microprofile
Summary:        RESTEasy JAX-RS Microprofile Client
Group:          Development/Java


%description client-microprofile
%{summary}.

%package crypto
Summary:        RESTEasy Crypto
Group:          Development/Java

Requires:       %{?scl_prefix}resteasy-jaxrs = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}resteasy-client = %{epoch}:%{version}-%{release}

%description crypto
%{summary}.

%package jackson-provider
Summary:        Resteasy Jackson Provider
Group:          Development/Java


%description jackson-provider
%{summary}.

%package jackson2-provider
Summary:        Resteasy Jackson Provider
Group:          Development/Java


%description jackson2-provider
%{summary}.

%package jaxb-provider
Summary:        Resteasy JAXB Provider
Group:          Development/Java


%description jaxb-provider
%{summary}.

%package jaxrs
Summary:        RESTEasy JAX-RS Implementation
Group:          Development/Java

Provides:       %{?scl_prefix}resteasy-core = %{epoch}:%{version}-%{release}

%description jaxrs
%{summary}.

%package jettison-provider
Summary:        Resteasy Jettison Provider
Group:          Development/Java

Requires:       %{?scl_prefix}resteasy-jaxb-provider = %{epoch}:%{version}-%{release}

%description jettison-provider
%{summary}.

%package jose-jwt
Summary:        Resteasy JOSE JWT
Group:          Development/Java

Requires:       %{?scl_prefix}resteasy-jackson-provider = %{epoch}:%{version}-%{release}

%description jose-jwt
%{summary}.

%package jsapi
Summary:        RESTEasy JAX-RS JSAPI
Group:          Development/Java

Requires:       %{?scl_prefix}resteasy-jaxrs = %{epoch}:%{version}-%{release}

%description jsapi
%{summary}.

%package json-binding-provider
Summary:        RESTEasy JSON Provider
Group:          Development/Java


%description json-binding-provider
%{summary}.

%package json-p-provider
Summary:        Resteasy JSON-P EE7 Provider
Group:          Development/Java


%description json-p-provider
%{summary}.

%package multipart-provider
Summary:        Resteasy Multipart Provider
Group:          Development/Java

Requires:       %{?scl_prefix}resteasy-jaxrs = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}resteasy-jaxb-provider = %{epoch}:%{version}-%{release}

%description multipart-provider
%{summary}.

%package spring
Summary:        Resteasy Spring integration
Group:          Development/Java

Requires:       %{?scl_prefix}resteasy-jaxrs = %{epoch}:%{version}-%{release}

%description spring
%{summary}.

%package validator-provider-11
Summary:        Resteasy Validator Provider BV
Group:          Development/Java


%description validator-provider-11
%{summary}.

%package yaml-provider
Summary:        Resteasy YAML Provider
Group:          Development/Java

Requires:       %{?scl_prefix}resteasy-jaxrs = %{epoch}:%{version}-%{release}

%description yaml-provider
%{summary}.

%package rxjava2
Summary:        RESTEasy RxJava 2 integration
Group:          Development/Java

Requires:       %{?scl_prefix}resteasy-jaxrs = %{epoch}:%{version}-%{release}

%description rxjava2
%{summary}.

%if %with javadoc
%package javadoc
Summary:        Javadoc for resteasy
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n resteasy-jaxrs-all-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/resteasy-jaxrs-%{namedversion}.jar %{buildroot}%{_javadir}/resteasy-jaxrs-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/resteasy-jaxrs-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/resteasy-jaxrs-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/resteasy-jaxrs-%{namedversion}-sources.jar %{buildroot}%{_javadir}/resteasy-jaxrs-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/resteasy-jaxb-provider-%{namedversion}.jar %{buildroot}%{_javadir}/resteasy-jaxb-provider-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/resteasy-jaxb-provider-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/resteasy-jaxb-provider-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/resteasy-jaxb-provider-%{namedversion}-sources.jar %{buildroot}%{_javadir}/resteasy-jaxb-provider-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/resteasy-jettison-provider-%{namedversion}.jar %{buildroot}%{_javadir}/resteasy-jettison-provider-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/resteasy-jettison-provider-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/resteasy-jettison-provider-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/resteasy-jettison-provider-%{namedversion}-sources.jar %{buildroot}%{_javadir}/resteasy-jettison-provider-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/resteasy-jackson-provider-%{namedversion}.jar %{buildroot}%{_javadir}/resteasy-jackson-provider-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/resteasy-jackson-provider-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/resteasy-jackson-provider-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/resteasy-jackson-provider-%{namedversion}-sources.jar %{buildroot}%{_javadir}/resteasy-jackson-provider-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/resteasy-jackson2-provider-%{namedversion}.jar %{buildroot}%{_javadir}/resteasy-jackson2-provider-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/resteasy-jackson2-provider-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/resteasy-jackson2-provider-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/resteasy-jackson2-provider-%{namedversion}-sources.jar %{buildroot}%{_javadir}/resteasy-jackson2-provider-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/resteasy-atom-provider-%{namedversion}.jar %{buildroot}%{_javadir}/resteasy-atom-provider-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/resteasy-atom-provider-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/resteasy-atom-provider-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/resteasy-atom-provider-%{namedversion}-sources.jar %{buildroot}%{_javadir}/resteasy-atom-provider-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/resteasy-multipart-provider-%{namedversion}.jar %{buildroot}%{_javadir}/resteasy-multipart-provider-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/resteasy-multipart-provider-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/resteasy-multipart-provider-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/resteasy-multipart-provider-%{namedversion}-sources.jar %{buildroot}%{_javadir}/resteasy-multipart-provider-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/resteasy-spring-%{namedversion}.jar %{buildroot}%{_javadir}/resteasy-spring-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/resteasy-spring-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/resteasy-spring-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/resteasy-spring-%{namedversion}-sources.jar %{buildroot}%{_javadir}/resteasy-spring-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/resteasy-validator-provider-%{namedversion}.jar %{buildroot}%{_javadir}/resteasy-validator-provider-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/resteasy-validator-provider-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/resteasy-validator-provider-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/resteasy-validator-provider-%{namedversion}-sources.jar %{buildroot}%{_javadir}/resteasy-validator-provider-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/resteasy-yaml-provider-%{namedversion}.jar %{buildroot}%{_javadir}/resteasy-yaml-provider-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/resteasy-yaml-provider-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/resteasy-yaml-provider-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/resteasy-yaml-provider-%{namedversion}-sources.jar %{buildroot}%{_javadir}/resteasy-yaml-provider-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/resteasy-jsapi-%{namedversion}.jar %{buildroot}%{_javadir}/resteasy-jsapi-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/resteasy-jsapi-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/resteasy-jsapi-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/resteasy-jsapi-%{namedversion}-sources.jar %{buildroot}%{_javadir}/resteasy-jsapi-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/resteasy-json-binding-provider-%{namedversion}.jar %{buildroot}%{_javadir}/resteasy-json-binding-provider-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/resteasy-json-binding-provider-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/resteasy-json-binding-provider-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/resteasy-json-binding-provider-%{namedversion}-sources.jar %{buildroot}%{_javadir}/resteasy-json-binding-provider-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/resteasy-json-p-provider-%{namedversion}.jar %{buildroot}%{_javadir}/resteasy-json-p-provider-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/resteasy-json-p-provider-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/resteasy-json-p-provider-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/resteasy-json-p-provider-%{namedversion}-sources.jar %{buildroot}%{_javadir}/resteasy-json-p-provider-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/resteasy-cdi-%{namedversion}.jar %{buildroot}%{_javadir}/resteasy-cdi-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/resteasy-cdi-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/resteasy-cdi-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/resteasy-cdi-%{namedversion}-sources.jar %{buildroot}%{_javadir}/resteasy-cdi-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/resteasy-client-%{namedversion}.jar %{buildroot}%{_javadir}/resteasy-client-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/resteasy-client-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/resteasy-client-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/resteasy-client-%{namedversion}-sources.jar %{buildroot}%{_javadir}/resteasy-client-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/resteasy-client-microprofile-%{namedversion}.jar %{buildroot}%{_javadir}/resteasy-client-microprofile-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/resteasy-client-microprofile-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/resteasy-client-microprofile-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/resteasy-client-microprofile-%{namedversion}-sources.jar %{buildroot}%{_javadir}/resteasy-client-microprofile-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/resteasy-crypto-%{namedversion}.jar %{buildroot}%{_javadir}/resteasy-crypto-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/resteasy-crypto-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/resteasy-crypto-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/resteasy-crypto-%{namedversion}-sources.jar %{buildroot}%{_javadir}/resteasy-crypto-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jose-jwt-%{namedversion}.jar %{buildroot}%{_javadir}/jose-jwt-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jose-jwt-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jose-jwt-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jose-jwt-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jose-jwt-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/resteasy-rxjava2-%{namedversion}.jar %{buildroot}%{_javadir}/resteasy-rxjava2-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/resteasy-rxjava2-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/resteasy-rxjava2-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/resteasy-rxjava2-%{namedversion}-sources.jar %{buildroot}%{_javadir}/resteasy-rxjava2-%{namedversion}-sources.jar

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/resteasy-%{namedversion}
unzip -qq %{_sourcedir}/resteasy-jaxrs-all-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/resteasy-%{namedversion} -x META-INF/\*
%{__ln_s} resteasy-%{namedversion} %{buildroot}%{_javadocdir}/resteasy
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)

%files atom-provider
%defattr(0644,root,root,0755)
%{_javadir}/resteasy-atom-provider-%{namedversion}.jar
%{_javadir}/resteasy-atom-provider.jar
%if %with javadoc
%{_javadir}/resteasy-atom-provider-%{namedversion}-javadoc.jar
%{_javadir}/resteasy-atom-provider-javadoc.jar
%endif
%{_javadir}/resteasy-atom-provider-%{namedversion}-sources.jar
%{_javadir}/resteasy-atom-provider-sources.jar

%files cdi
%defattr(0644,root,root,0755)
%{_javadir}/resteasy-cdi-%{namedversion}.jar
%{_javadir}/resteasy-cdi.jar
%if %with javadoc
%{_javadir}/resteasy-cdi-%{namedversion}-javadoc.jar
%{_javadir}/resteasy-cdi-javadoc.jar
%endif
%{_javadir}/resteasy-cdi-%{namedversion}-sources.jar
%{_javadir}/resteasy-cdi-sources.jar

%files client
%defattr(0644,root,root,0755)
%{_javadir}/resteasy-client-%{namedversion}.jar
%{_javadir}/resteasy-client.jar
%if %with javadoc
%{_javadir}/resteasy-client-%{namedversion}-javadoc.jar
%{_javadir}/resteasy-client-javadoc.jar
%endif
%{_javadir}/resteasy-client-%{namedversion}-sources.jar
%{_javadir}/resteasy-client-sources.jar

%files client-microprofile
%defattr(0644,root,root,0755)
%{_javadir}/resteasy-client-microprofile-%{namedversion}.jar
%{_javadir}/resteasy-client-microprofile.jar
%if %with javadoc
%{_javadir}/resteasy-client-microprofile-%{namedversion}-javadoc.jar
%{_javadir}/resteasy-client-microprofile-javadoc.jar
%endif
%{_javadir}/resteasy-client-microprofile-%{namedversion}-sources.jar
%{_javadir}/resteasy-client-microprofile-sources.jar

%files crypto
%defattr(0644,root,root,0755)
%{_javadir}/resteasy-crypto-%{namedversion}.jar
%{_javadir}/resteasy-crypto.jar
%if %with javadoc
%{_javadir}/resteasy-crypto-%{namedversion}-javadoc.jar
%{_javadir}/resteasy-crypto-javadoc.jar
%endif
%{_javadir}/resteasy-crypto-%{namedversion}-sources.jar
%{_javadir}/resteasy-crypto-sources.jar

%files jackson-provider
%defattr(0644,root,root,0755)
%{_javadir}/resteasy-jackson-provider-%{namedversion}.jar
%{_javadir}/resteasy-jackson-provider.jar
%if %with javadoc
%{_javadir}/resteasy-jackson-provider-%{namedversion}-javadoc.jar
%{_javadir}/resteasy-jackson-provider-javadoc.jar
%endif
%{_javadir}/resteasy-jackson-provider-%{namedversion}-sources.jar
%{_javadir}/resteasy-jackson-provider-sources.jar

%files jackson2-provider
%defattr(0644,root,root,0755)
%{_javadir}/resteasy-jackson2-provider-%{namedversion}.jar
%{_javadir}/resteasy-jackson2-provider.jar
%if %with javadoc
%{_javadir}/resteasy-jackson2-provider-%{namedversion}-javadoc.jar
%{_javadir}/resteasy-jackson2-provider-javadoc.jar
%endif
%{_javadir}/resteasy-jackson2-provider-%{namedversion}-sources.jar
%{_javadir}/resteasy-jackson2-provider-sources.jar

%files jaxb-provider
%defattr(0644,root,root,0755)
%{_javadir}/resteasy-jaxb-provider-%{namedversion}.jar
%{_javadir}/resteasy-jaxb-provider.jar
%if %with javadoc
%{_javadir}/resteasy-jaxb-provider-%{namedversion}-javadoc.jar
%{_javadir}/resteasy-jaxb-provider-javadoc.jar
%endif
%{_javadir}/resteasy-jaxb-provider-%{namedversion}-sources.jar
%{_javadir}/resteasy-jaxb-provider-sources.jar

%files jaxrs
%defattr(0644,root,root,0755)
%doc CONTRIBUTING.md License.html README.md
%{_javadir}/resteasy-jaxrs-%{namedversion}.jar
%{_javadir}/resteasy-jaxrs.jar
%if %with javadoc
%{_javadir}/resteasy-jaxrs-%{namedversion}-javadoc.jar
%{_javadir}/resteasy-jaxrs-javadoc.jar
%endif
%{_javadir}/resteasy-jaxrs-%{namedversion}-sources.jar
%{_javadir}/resteasy-jaxrs-sources.jar

%files jettison-provider
%defattr(0644,root,root,0755)
%{_javadir}/resteasy-jettison-provider-%{namedversion}.jar
%{_javadir}/resteasy-jettison-provider.jar
%if %with javadoc
%{_javadir}/resteasy-jettison-provider-%{namedversion}-javadoc.jar
%{_javadir}/resteasy-jettison-provider-javadoc.jar
%endif
%{_javadir}/resteasy-jettison-provider-%{namedversion}-sources.jar
%{_javadir}/resteasy-jettison-provider-sources.jar

%files jose-jwt
%defattr(0644,root,root,0755)
%{_javadir}/jose-jwt-%{namedversion}.jar
%{_javadir}/jose-jwt.jar
%if %with javadoc
%{_javadir}/jose-jwt-%{namedversion}-javadoc.jar
%{_javadir}/jose-jwt-javadoc.jar
%endif
%{_javadir}/jose-jwt-%{namedversion}-sources.jar
%{_javadir}/jose-jwt-sources.jar

%files jsapi
%defattr(0644,root,root,0755)
%{_javadir}/resteasy-jsapi-%{namedversion}-sources.jar
%{_javadir}/resteasy-jsapi-%{namedversion}.jar
%if %with javadoc
%{_javadir}/-%{namedversion}-javadoc.jar
%{_javadir}/-javadoc.jar
%endif
%{_javadir}/resteasy-jsapi-sources.jar
%{_javadir}/resteasy-jsapi.jar

%files json-binding-provider
%defattr(0644,root,root,0755)
%{_javadir}/resteasy-json-binding-provider-%{namedversion}.jar
%{_javadir}/resteasy-json-binding-provider.jar
%if %with javadoc
%{_javadir}/resteasy-json-binding-provider-%{namedversion}-javadoc.jar
%{_javadir}/resteasy-json-binding-provider-javadoc.jar
%endif
%{_javadir}/resteasy-json-binding-provider-%{namedversion}-sources.jar
%{_javadir}/resteasy-json-binding-provider-sources.jar

%files json-p-provider
%defattr(0644,root,root,0755)
%{_javadir}/resteasy-json-p-provider-%{namedversion}.jar
%{_javadir}/resteasy-json-p-provider.jar
%if %with javadoc
%{_javadir}/resteasy-json-p-provider-%{namedversion}-javadoc.jar
%{_javadir}/resteasy-json-p-provider-javadoc.jar
%endif
%{_javadir}/resteasy-json-p-provider-%{namedversion}-sources.jar
%{_javadir}/resteasy-json-p-provider-sources.jar

%files multipart-provider
%defattr(0644,root,root,0755)
%{_javadir}/resteasy-multipart-provider-%{namedversion}.jar
%{_javadir}/resteasy-multipart-provider.jar
%if %with javadoc
%{_javadir}/resteasy-multipart-provider-%{namedversion}-javadoc.jar
%{_javadir}/resteasy-multipart-provider-javadoc.jar
%endif
%{_javadir}/resteasy-multipart-provider-%{namedversion}-sources.jar
%{_javadir}/resteasy-multipart-provider-sources.jar

%files spring
%defattr(0644,root,root,0755)
%{_javadir}/resteasy-spring-%{namedversion}.jar
%{_javadir}/resteasy-spring.jar
%if %with javadoc
%{_javadir}/resteasy-spring-%{namedversion}-javadoc.jar
%{_javadir}/resteasy-spring-javadoc.jar
%endif
%{_javadir}/resteasy-spring-%{namedversion}-sources.jar
%{_javadir}/resteasy-spring-sources.jar

%files validator-provider-11
%defattr(0644,root,root,0755)
%{_javadir}/resteasy-validator-provider-%{namedversion}.jar
%{_javadir}/resteasy-validator-provider.jar
%if %with javadoc
%{_javadir}/resteasy-validator-provider-%{namedversion}-javadoc.jar
%{_javadir}/resteasy-validator-provider-javadoc.jar
%endif
%{_javadir}/resteasy-validator-provider-%{namedversion}-sources.jar
%{_javadir}/resteasy-validator-provider-sources.jar

%files yaml-provider
%defattr(0644,root,root,0755)
%{_javadir}/resteasy-yaml-provider-%{namedversion}.jar
%{_javadir}/resteasy-yaml-provider.jar
%if %with javadoc
%{_javadir}/resteasy-yaml-provider-%{namedversion}-javadoc.jar
%{_javadir}/resteasy-yaml-provider-javadoc.jar
%endif
%{_javadir}/resteasy-yaml-provider-%{namedversion}-sources.jar
%{_javadir}/resteasy-yaml-provider-sources.jar

%files rxjava2
%defattr(0644,root,root,0755)
%{_javadir}/resteasy-rxjava2-%{namedversion}.jar
%{_javadir}/resteasy-rxjava2.jar
%if %with javadoc
%{_javadir}/resteasy-rxjava2-%{namedversion}-javadoc.jar
%{_javadir}/resteasy-rxjava2-javadoc.jar
%endif
%{_javadir}/resteasy-rxjava2-%{namedversion}-sources.jar
%{_javadir}/resteasy-rxjava2-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/resteasy-%{namedversion}
%{_javadocdir}/resteasy
%endif

%changelog
* Wed Feb 19 2020 Permaine Cheung <pcheung@redhat.com> - 3.9.3-2.SP1_redhat_00001.1
- 3.9.3.SP1-redhat-00001

* Fri Nov 22 2019 Yong Yang <yyang@redhat.com> - 3.9.3-1.Final_redhat_00001.1
- RPM wrapper build 3.9.3.Final-redhat-00001

* Wed Sep 25 2019 Yong Yang <yyang@redhat.com> - 3.9.0-1.Final_redhat_00001.1
- RPM wrapper build 3.9.0.Final-redhat-00001

* Tue Sep 24 2019 Yong Yang <yyang@redhat.com> - 3.7.0-2.Final_redhat_00001.1
- RPM wrapper build 3.9.0.Final-redhat-00001

* Fri Jun 14 2019 Permaine Cheung <pcheung@redhat.com> - 3.7.0-1.Final_redhat_00001.1
- 3.7.0.Final_redhat_00001

* Fri Jun 14 2019 Permaine Cheung <pcheung@redhat.com> - 3.7.0-1.Final_redhat_00001.1
- 3.7.0.Final_redhat_00001

* Tue May 28 2019 Yong Yang <yyang@redhat.com> - 3.6.3-2.Final_redhat_00001.1
- RPM wrapper build

* Tue May 21 2019 Permaine Cheung <pcheung@redhat.com> - 3.6.3-1.Final_redhat_00001.1
- 3.6.3.Final_redhat_00001

* Mon May 13 2019 Permaine Cheung <pcheung@redhat.com> - 3.6.1-5.SP5_redhat_00001.1
- 3.6.1.SP5_redhat_00001

* Wed Mar 13 2019 Neil Wallace <nwallace@redhat.com> - 3.6.1-4.SP3_redhat_00001.1
- 3.6.1.SP3-redhat-00001 rerun

* Wed Mar 13 2019 Neil Wallace <nwallace@redhat.com> - 3.6.1-4.SP3_redhat_00001.1
- 3.6.1.SP3-redhat-00001

* Tue Nov 06 2018 Permaine Cheung <pcheung@redhat.com> - 3.6.1-3.SP2_redhat_00001.1
- 3.6.1.SP2-redhat-00001

* Thu Sep 27 2018 Yong Yang <yyang@redhat.com> - 3.6.1-2.Final_redhat_00001.1
- Rewrap to add resteasy-rxjava2 subpackage

* Tue Aug 14 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 3.6.1-1.Final_redhat_00001.1
- upgrade to 3.6.1.Final-redhat-00001

* Fri Jul 06 2018 Permaine Cheung <pcheung@redhat.com> - 3.5.1-2.Final_redhat_1.1
- Add json-binding-provider

* Tue Jul 03 2018 Permaine Cheung <pcheung@redhat.com> - 3.5.1-1.Final_redhat_1.1
- Wrapper for EAP 7.2.0

* Thu May 24 2018 Petr Sakar <psakar@redhat.com> - 3.5.1-1.Final_redhat_1.1
- upgrade to 3.5.1.Final-redhat-1

* Thu Jan 25 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.0.25-1.Final_redhat_1.1
- upgrade to 3.0.25.Final-redhat-1

* Wed Jul 26 2017 Petr Sakar <psakar@redhat.com> - 3.0.24-1.Final_redhat_1.1
- upgrade to 3.0.24.Final-redhat-1

* Mon May 22 2017 Petr Sakar <psakar@redhat.com> - 3.0.23-1.Final_redhat_1.1
- upgrade to 3.0.23.Final-redhat-1

* Mon Apr 03 2017 Petr Sakar <psakar@redhat.com> - 3.0.22-1.Final_redhat_1.1
- upgrade to 3.0.22.Final-redhat-1

* Fri Feb 24 2017 Petr Sakar <psakar@redhat.com> - 3.0.21-1.Final_redhat_1.1
- upgrade to 3.0.21.Final-redhat-1

* Tue Feb 14 2017 David Walluck <dwalluck@redhat.com> - 3.0.20-1.Final_redhat_1.1
- downgrade from 3.1.0.Final to 3.0.20.Final

* Thu Feb 09 2017 Petr Sakar <psakar@redhat.com> - 3.0.20-1.Final_redhat_1.1
- upgrade to 3.0.20.Final-redhat-1

* Thu Jan 12 2017 David Walluck <dwalluck@redhat.com> - 3.1.0-1.Final_redhat_1.1
- fix RPM build for latest version

* Thu Dec 15 2016 Petr Sakar <psakar@redhat.com> - 3.1.0-1.Final_redhat_1.1
- upgrade to 3.1.0.Final-redhat-1

* Wed Aug 10 2016 Petr Sakar <psakar@redhat.com> - 3.0.19-1.Final_redhat_1.1
- upgrade to 3.0.19.Final-redhat-1

* Wed Aug 03 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.0.18-1.Final_redhat_1.1
- Upgrade to 3.0.18.Final

* Fri May 20 2016 Petr Sakar <psakar@redhat.com> - 3.0.17-1.Final_redhat_1.1
- Upgrade to 3.0.17.Final-redhat-1

* Mon Feb 22 2016 Petr Sakar <psakar@redhat.com> - 3.0.16-1.Final_redhat_1.1
- upgrade to 3.0.16.Final-redhat-1

* Mon Dec 21 2015 Hui Wang <huwang@redhat.com> - 3.0.14-1.Final_redhat_1.1
- Upgrade to 3.0.14.Final-redhat-1

* Thu Nov 05 2015 David Walluck <dwalluck@redhat.com> - 3.0.13-2.Final_redhat_1.1
- add packages

* Tue Sep 29 2015 Hui Wang <huwang@redhat.com> - 3.0.13-1.Final_redhat_1.1
- Upgrade to 3.0.13.Final-redhat-1

* Tue Aug 11 2015 Hui Wang <huwang@redhat.com> - 3.0.12-1.Final_redhat_1.1
- Upgrade to 3.0.12.Final-redhat-1
